package info.textgrid.lab.collatex.ui.utils;

import org.eclipse.jface.resource.JFaceResources;
import org.eclipse.jface.viewers.StyledString;
import org.eclipse.jface.viewers.StyledString.Styler;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.graphics.TextStyle;

/**
 * This is a special element that can be put into specially crafted editors
 * which should display an initialization message.
 */
public class NotificationViewerElement {

	private static final Styler NOTIFICATION_STYLER = new Styler() {

		@Override
		public void applyStyles(final TextStyle textStyle) {
			textStyle.font = JFaceResources.getFontRegistry().getItalic(
					JFaceResources.DEFAULT_FONT);
		}

	};

	private final StyledString text;

	/**
	 * Returns the notification message as styled string.
	 */
	public StyledString getStyledText() {
		return text;
	}

	/**
	 * Creates a new notification viewer element.
	 * 
	 * @param message
	 *            the message that should be displayed in the viewer
	 */
	public NotificationViewerElement(final String message) {
		text = new StyledString(message, NOTIFICATION_STYLER);
	}

	public Image getImage() {
		return null;
	}

}
